# Cranc

Cranc is command line interface tool to interact with Pagure

homepage: https://pagure.io/cranc

### What Cranc does

At the moment cranc lists pull requests and issues of a project.
With this commands:

`cranc get prs`
`cranc get issues`

### About its name

Since 'pagure' is a hermit crab, cranc is crab in catalan. `


### Run

Create the virtual environment:

`virtualenv3 ~/venvs/cranc-env`
`source ~/venvs/cranc-env/bin/activate`

Retrieve the sources:

`git clone https://pagure.io.cranc.git`
`cd cranc`

Install dependencies:

`pip install -r requirements.txt`

Run the setup file. This creates a link in the venv directory pointing to the cranc directory:

`python setup.py develop`

Run the app:

`cranc`

Or run the command:

`cranc pr list`

### Test

To run tests type:

`pytest`

Or to run only 1 test type:

`pytest tests/[name_of_the_test]
